## helpdev 0.6.10

=== debian/changelog ===
helpdev (0.6.10-1) unstable; urgency=medium

  * Initial release.

 -- Boyuan Yang <byang@debian.org>  Fri, 24 Apr 2020 18:17:58 -0400

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND =


%:
	dh $@ --buildsystem=pybuild

override_dh_missing:
	dh_missing --fail-missing

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/(\d\S+)\/<project>.*\.tar\.gz/helpdev-$1\.tar\.gz/g \
  https://gitlab.com/dpizetta/helpdev/tags?sort=updated_desc .*/archive/v?(\d\S+)/.*\.tar\.gz.*

## helpdev 0.7.1

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SOURCEDIR     = .
BUILDDIR      = ../build/docs

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
helpdev (0.7.1-6) unstable; urgency=medium

  * Team Upload
  * Switch to autopkgtest-pkg-pybuild to have non-trivial autopkgtests
  * Add d/gbp.conf

 -- Alexandre Detiste <tchet@debian.org>  Fri, 23 May 2025 12:22:32 +0200

helpdev (0.7.1-5) unstable; urgency=medium

  * Team Upload
  * Remove build-dep on python3-importlib-metadata
  * Enable build-time tests & autopkgtest
  * Add bild-dep on python3-pip & python3-pytest

 -- Alexandre Detiste <tchet@debian.org>  Sat, 10 May 2025 20:51:57 +0200

helpdev (0.7.1-4) unstable; urgency=medium

  * QA upload.
  * Orphan the package.
  * Bump Standards-Version to 4.6.2.

 -- Boyuan Yang <byang@debian.org>  Tue, 26 Mar 2024 15:09:50 -0400

helpdev (0.7.1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Contact.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 01:34:01 +0100

helpdev (0.7.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Fix field name typo in debian/copyright (Comments => Comment).

  [ Boyuan Yang ]
  * Rebuild with python3.9 only.

 -- Boyuan Yang <byang@debian.org>  Tue, 08 Dec 2020 16:30:26 -0500

helpdev (0.7.1-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 23 Jun 2020 10:13:58 -0400

=== debian/control ===
Source: helpdev
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Standards-Version: 4.7.2
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3,
 python3-pip,
 python3-pytest,
 python3-setuptools,
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://gitlab.com/dpizetta/helpdev/
Vcs-Git: https://salsa.debian.org/python-team/packages/helpdev.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/helpdev
X-Style: black

Package: helpdev
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Helper tool to get environment information
 This package provides a tool to help users and developers to get
 information about the environment to report bugs or even test your
 system without spending a day on it. It can get information about
 hardware, OS, paths, Python distribution and packages, including
 Qt-things.

=== debian/rules ===
--- 
+++ 
@@ -16,8 +16,5 @@
 %:
 	dh $@ --buildsystem=pybuild
 
-override_dh_missing:
-	dh_missing --fail-missing
-
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGES.rst

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/v?(\d\S+)\/helpdev.*\.tar\.gz/helpdev-$1\.tar\.gz/g \
  https://gitlab.com/dpizetta/helpdev/tags?sort=updated_desc .*/archive/v?(\d\S+)/.*\.tar\.gz.*
